Bug 100403 - http/ftp install from loop back mount of ISO's
http/ftp install from loop back mount of ISO's
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: anaconda (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
: 101523 (view as bug list)
Depends On:
Blocks: CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-07-21 23:48 EDT by Kevin Levron
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-24 14:31:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kevin Levron 2003-07-21 23:48:48 EDT
Description of problem:
When using loop back mounts of ISO images for http/ftp install, the installer
adds an extra element to the directory.

Version-Release number of selected component (if applicable):


How reproducible:
Loop back mount the ISO images.
Ex.
RHbeta/disc1
RHbeta/disc2
RHbeta/disc3

Begin the installer by booting from floppy and using the network driver disk as
needed.
Point the installer to the http/ftp site and use RHbeta as base dir.
The installer begins and goes through configuration.

Actual results:
When the installer prepares to get the packages from the http/ftp site, it
adds an extra element to the path.
Ex.  RHbeta/disc1/disc1
  
Expected results:
The installer should begin looking in the same directory that the 2nd stage
installer was found.
Ex.  RHbeta/disc1

Additional info:
This can be worked around by unmounting the ISO images and remounting in the
disc1 subdirectory after the installer fails to find the first package.
Ex.  RHbeta/disc1/disc1
     RHbeta/disc1/disc2
     RHbeta/disc1/disc3
Comment 1 Jeremy Katz 2003-07-22 10:31:24 EDT
What directory are you pointing at to do your install (should be RHbeta/ and
then the disc1, disc2, disc3 will be checked automagically)
Comment 2 Kevin Levron 2003-07-22 19:35:49 EDT
I am pointing it to RHbeta/. The second stage install is pulled from the
ftp/http site and runs. I go through the entire install configuration screens
(ie. partitioning, network setup, root password, package selection).
When the installer tries to find the first package to install (glibc-common), it
fails saying that it couldn't find the package.
Looking at one of the Alt-F consoles during the http install, it fails trying to
get .../RHbeta/disc1/disc1/glibc-common...
If I unmount the ISO images and remount under disc1, I can click OK and the
install finds and installs the packages.
Comment 3 Jeremy Katz 2003-07-23 22:55:57 EDT
Fixed in CVS, update disk is at http://people.redhat.com/~katzj/severn-updates.img.

If you place this as RedHat/base/updates.img, then it will get used and you
should be able to verify the fix.
Comment 4 Kevin Levron 2003-07-24 00:35:30 EDT
I added the update.img to the RedHat/base directory but it didn't fix the problem.

Should I be able to loop back mount the img file? I get the following message
when I try:
Jul 23 23:16:24 system kernel: EXT2-fs: loop(7,0): couldn't mount because of un
supported optional features (20000).

I noticed the same message on the system that I am using for the beta.
Comment 5 Jeremy Katz 2003-08-02 18:07:46 EDT
*** Bug 101523 has been marked as a duplicate of this bug. ***
Comment 6 Jeremy Katz 2006-04-24 14:31:24 EDT
Mass-closing lots of old bugs which are in MODIFIED (and thus presumed to be
fixed).  If any of these are still a problem, please reopen or file a new bug
against the release which they're occurring in so they can be properly tracked.

Note You need to log in before you can comment on or make changes to this bug.